<?php
/***************************** version 20220324 ***************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
?>
<div id="showForecast" align="center">
<?php 
/*  Comment out the Debugging Code for SA Validation by Removing the trailing slash -> */
if (!isset($forecastType)&&!isset($divWidth)) {
  $needScript = (!isset($forecastType)?1:0);
	$_SESSION['CSSwidescreen'] = 1;
	$useOnClick = false; // Use onclick instead of onmouseover to display a chart
	$wideWidth = 850; // Widescreen map width desired on page.  Set from 656 to 850 (native width)
	$narrowWidth = 656; // Narrow map width
  $standAlone = true;
  if (!$standAlone) {$divWidth = ($_SESSION['CSSwidescreen']==1 ? $wideWidth : $narrowWidth);}
  else { $divWidth = $wideWidth; $_SESSION['CSSwidescreen']==1; }
	$useGapWarning = false; // No longer needed because maps update on the hour 
	$useAll = true; // Use All LAMP Forecasts
  date_default_timezone_set('America/New_York');
	### Set Map Type
	if ($useAll) { $forecastType = 'T'; } //T, TERR, CEIL, Td, TdERR, VIS, CONVP, CONVR, LTGP, LTGR, rad, slp, or slpwinds
	else { $forecastType = 'LTGP'; }
	echo ($needScript?'</script>
	<style type="text/css">
	.hidden {
		display: none;
		position:absolute;
		}
	.shown {
		display: block;
		position:absolute;
		}
	div.center {
		width:100%;
		margin-left: auto;
		margin-right: auto;
	}
	</style>
	<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
	':'');
}
/* End of Debugging Code */
if (isset($_POST['fctype'])) {
	$forecastType = $_POST['fctype'];
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['useOnClick'])) { # Are we using AJAX???
	$useOnClick = $_POST['useOnClick']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['useGapWarning'])) { # Are we using AJAX???
	$useGapWarning = $_POST['useGapWarning']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['useAll'])) { # Are we using All FC Types???
	$useAll = $_POST['useAll']; # If so, set flag.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['standAlone'])) { # Are we using All FC Types???
	$standAlone = $_POST['standAlone']; # If so, set flag.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (!$standAlone) {
  if (isset($_POST['wideScreen'])) { # Are we using All FC Types???
	  $_SESSION['CSSwidescreen'] = $_POST['wideScreen']; # If so, set flag.
	  if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	    include ('Settings.php'); // AJAX forgets these on localhost!
	  }
  }
} else $_SESSION['CSSwidescreen'] = 1;
?>
  <div style="text-align:center; height: 20px" class="center">
  <span style="color:#000000; font-size:13px; font-family:arial, times new roman; font-size:large">
<b>Select Forecast or Analysis Type:</b> &nbsp;
</span>

<select style="border:1px solid #000000; background-color:#FFFFFF; font-size:12px;" name="fctype">

<optgroup label="Forecasts">
<?php if ($useAll) {
	echo '  <option value="T"'.(($forecastType=='T')?' selected="selected"':'').'>Temperature</option>
  <option value="Td"'.(($forecastType=='Td')?' selected="selected"':'').'>Dewpoint</option>
  <option value="CEIL"'.(($forecastType=='CEIL')?' selected="selected"':'').'>Ceiling</option>
  <option value="VIS"'.(($forecastType=='VIS')?' selected="selected"':'').'>Visibility</option>'; } ?>
  <option value="CONVP"<?php echo ($forecastType=='CONVP')?' selected="selected"':'';?>>Convection Probability</option>
  <option value="CONVR"<?php echo ($forecastType=='CONVR')?' selected="selected"':'';?>>Convection Potential</option>
  <option value="LTGP"<?php echo ($forecastType=='LTGP')?' selected="selected"':'';?>>Lightning Probability</option>
  <option value="LTGR"<?php echo ($forecastType=='LTGR')?' selected="selected"':'';?>>Lightning Potential</option>
  <option value="CNVLTG"<?php echo ($forecastType=='CNVLTG')?' selected="selected"':'';?>>Convection &amp; Lightning</option>
</optgroup>

<optgroup label="Analysis">
  <option value="rad"<?php echo ($forecastType=='rad')?' selected="selected"':'';?>>Radar</option>
  <option value="slpwinds"<?php echo ($forecastType=='slpwinds')?' selected="selected"':'';?>>Surface Pressure Winds</option>
  <option value="slp"<?php echo ($forecastType=='slp')?' selected="selected"':'';?>>N.A. Surface Pressure</option>
</optgroup>

</select>
</div>
<script type="text/javascript">
  $("select").change(function () {
    var fctype = $(this).val();
		var wideScreen = "<?php echo $_SESSION['CSSwidescreen']?>";
		var divWidth = "<?php echo $divWidth?>";
		var useOnClick = "<?php echo $useOnClick?>";
		var useGapWarning = "<?php echo $useGapWarning?>";
		var useAll = "<?php echo $useAll?>";
		var standAlone = "<?php echo $standAlone?>";
    showForecastjs(fctype,divWidth,useOnClick,useGapWarning,useAll,wideScreen,standAlone);
  });
</script>

<?php
date_default_timezone_set('America/New_York');
$DST = date("I"); // DST in effect?
$evenHour = ((date("H")%2)==0); // Odd or even hour?
$mod2 = (date("H")%2); // Test parameter
$mod3 = (date("H")%3); // Test parameter
$mod4 = (date("H")%4); // Test parameter
//echo 'date("H"): '.date("H").', $evenHour: '.($evenHour==1?'true':'false').', $mod2: '.$mod2.', $mod3: '.$mod3.', $mod4: '.$mod4.'<br/>'; // Debug Code
date_default_timezone_set("GMT");	# The NWS calculations for these charts is GMT, and AJAX forgets it!
$useGapWarning = false; // Use warning if maps might be updating from 35 to 45 min. each hour
$updateGap = (date("i")>35&&date("i")<=45)?1:0;
$lastQHour = 0; // Maps now update on the hour
//$lastQHour = (date("i")>42?1:0); // Flag the last 1/4 hour because new maps are posted by then
#$DST = 1; // Debug Code
$hourNow = hournow_adjust(date("H", time()+(($lastQHour+$DST)*3600)));
$hourNowStartImage2 = hournow_adjust(date("H", time()+($DST*3600)));
$hours24 = array();
for ($i=0; $i<24; $i++) { // Populate Array
	$hours24[$i] = $i;
	if ($hours24[$i]<10) { // Adjust for missing zeros
		$hours24[$i] = '0'.$hours24[$i];
	}
}
$showHours = true; // Show the hourly map links by default
$analysis = false; // Analysis images off by default
$mdldir = '~glmp/expr_images';
$startImg = 0;
// Zulu Time of Initial Map to Display
$zTime = ($lastQHour?hour_adjust(gmdate("H")):hournow_adjust(gmdate("H")));
$useZTime = false;
if ($forecastType == 'T') {
	$forecastText = 'Temperature';
	$useZTime = true;
} else if ($forecastType == 'CEIL') {
	$forecastText = 'Ceiling';
	$useZTime = true;
} else if ($forecastType == 'VIS') {
	$forecastText = 'Visibility';
	$useZTime = true;
} else if ($forecastType == 'TERR') {
	$forecastText = 'Temperature Error';
	$showHours = false; // No hourly maps available
} else if ($forecastType == 'Td') {
	$useZTime = true;
	$forecastText = 'Dewpoint';
} else if ($forecastType == 'TdERR') {
	$forecastText = 'Dewpoint Error';
	$showHours = false; // No hourly maps available
} else if ($forecastType == 'rad') {
	$forecastText = 'Radar';
	$analysis = true;
} else if ($forecastType == 'slpwinds') {
	$forecastText = 'Surface Winds';
	$analysis = true;
} else if ($forecastType == 'slp') {
	$forecastText = '<br/>N.A. Sea Level Pressure';
	$analysis = true;
} else if ($forecastType == 'CONVR') {
	$forecastText = '<br/>Convection Potential';
	$mdldir = 'mdl/gfslamp/cnvltg_images';
	$startImg = 2;
} else if ($forecastType == 'CONVP') {
	$forecastText = '<br/>Convection Probability';
	$mdldir = 'mdl/gfslamp/cnvltg_images';
	$startImg = 2;
} else if ($forecastType == 'LTGR') {
	$forecastText = '<br/>Lightning Potential';
	$mdldir = 'mdl/gfslamp/cnvltg_images';
	$startImg = 2;
} else if ($forecastType == 'LTGP') {
	$forecastText = '<br/>Lightning Probability';
	$mdldir = 'mdl/gfslamp/cnvltg_images';
	$startImg = 2;
} else if ($forecastType == 'CNVLTG') {
	$forecastText = '<br/>Convection &amp; Lightning';
	$mdldir = 'mdl/gfslamp/cnvltg_images';
	$startImg = 2;
}
//echo '$zTime: '.$zTime.', $useZTime: '.($useZTime?'true':'false').'<br/>'; // Debug Code
// function to format the desired hour and begin an hour earlier
function hournow_adjust($theHour) {
	if ($theHour<1) { // Adjust $hourNow for end/beginning of day
		$theHour = 23;
	} else {
		$theHour = $theHour - 1;
	}
	if ($theHour<10) { // Also create two digit variables instead of one
		$theHour = '0'.$theHour;
	}
	return $theHour;
}
// function to only format the desired hour
function hour_adjust($theHour) {
	if ($theHour<10) { // Create two digit variables instead of one
		$theHour = '0'.$theHour;
	}
	return $theHour;
}
function map_time($hourNow) {
	global $hours24;
	global $analysis;
	global $startImg;
	global $lastQHour;
	global $DST;
	$timeArray = array();
	if ($analysis) {
		$timeArray = $hours24; 
	  return $timeArray; 
	}
	for ($i=0; $i<24; $i++) {
		$timeArray[$i] = ($i+$hourNow+2)%24;
		if (($timeArray[$i])<12) {
			$timeArray[$i] = ($timeArray[$i]).'&nbsp;am';
			if ($timeArray[$i] == '0&nbsp;am') {
				$timeArray[$i] = '12&nbsp;am';
			}
		} else if (($timeArray[$i])==12) {
			$timeArray[$i] = '12&nbsp;pm';
		} else if (($timeArray[$i])>12) {
			$timeArray[$i] = ($timeArray[$i]%12).'&nbsp;pm';
		} else if (($timeArray[$i]%12)<12) {
			$timeArray[$i] = ($timeArray[$i]%12).'&nbsp;am';
			if ($timeArray[$i] == '0&nbsp;am') {
				$timeArray[$i] = '12&nbsp;am';
			}
		} 
	}
	$j = 5+($DST); // Add 1 hr. if DST is in effect; $j = diff between US/Eastern and GMT
	$j -= ($startImg==2?($DST?1:0):($DST?1:0)); // Next hour's lightning/convection maps are posted ~45 min. past the hour
	for ($i=0; $i<($j-($startImg?(1):-1)); $i++) { // Shift array to left 5-DST hrs. for US/Eastern TZ
		$junk = array_pop($timeArray);
		array_unshift($timeArray,$junk);  
	}
/* Debug Code *
	echo '$DST: '.($DST?'true':'false').', $startImg: '.$startImg.'<br/>';
	for ($i=0; $i<24; $i++) {
		echo '$timeArray['.$i.']: '.$timeArray[$i].', ';
		if ($i>0&&!(($i+1)%3)) {
			echo '<br/>';
		}
	} echo '<br/><br/>';
/* End Debug Code */
	return $timeArray;
}
$times = map_time($hourNow);
//$times = map_time($startImg==2?$hourNowStartImage2:$hourNow);
if (!$analysis) {
	for ($i=0; $i<24; $i++) {
		$hours24[$i] += 1;
		if ($hours24[$i]<10) {
			$hours24[$i] = '0'.$hours24[$i];
		}
	}
	$hours24[$i] = 25;
}
/* Debug Code *
echo '$hourNow: '.$hourNow.', $hourNowStartImage2: '.$hourNowStartImage2.'<br/>';
for ($i=0; $i<24; $i++) { // Debug Code
	echo '$times['.$i.']: '.$times[$i].', ';
	if ($i>0&&!(($i+1)%4)) echo '<br/>';
} echo '<br/><br/>';

for ($i=($analysis?0:1); $i<($analysis?24:25); $i++) { // Debug Code
  echo '$hours24['.$i.']: '.$hours24[$i].', ';
	if ($i>0&&!(($i+1)%4)) echo '<br/>';
} echo '<br/><br/>'; //
/* End Debug Code */
/* Experimental Warning *
	if ($startImg!=2 && $showHours && !$analysis) {
		echo '<br/>  <span style="color:red; line-height:120%; font-size:14px"><b>CAUTION!</b> These Maps May <b>NOT</b> be Current!</span>';
	}
/* End Experimental Warning */ ?>
	<h2 align="center"><?php echo'NWS MDL US '.($showHours?(!$analysis?'Hourly':'Past').' 24 Hour ':'').$forecastText.($showHours?' '.($analysis?'Analysis':'Forecast').' Charts':''); ?></h2>
    <div class="center" style="text-align:center">
    <?php if ($showHours) echo '<span style="line-height:110%"><b>Note: Times are '.((!$analysis)?'US/Eastern':'Zulu (UCT)').'</b></span><br/>';?>
    <?php 
	  $now = (time()-($DST?18000:21600)); // Subtract 5 hrs. (21600 sec.) since US/Eastern is 5 hrs. behind GMT, minus DST (3600 sec.)
		$now += ($startImg==0?0:(3600+($lastQHour*3600))); // Times are + 1 hr for convection and lightning forecasts
		$tomorrow = $now + 86400; // Add a day
#		echo '$tomorrow: '.date("j",$tomorrow).' $now: '.date("j G:i",$now).'<br/>'; // Debug Code
		if ($showHours && !$analysis && $useGapWarning && $updateGap) { // Display notice regarding map update gap
			echo '<br/><span style="color:red; line-height:120%; font-size:14px"><b>NOTE!&nbsp;&nbsp;The forecast maps may be updating.&nbsp;&nbsp;Times may be incorrect.</b></span><br/><br/>';
		}
		if ((date("G",$now)>22)) {
			$now = $tomorrow;
			$tomorrow += 86400;
		}
	  if ($showHours && !$analysis && $startImg!=2) {
		  for ($k=0, $j=0; $k<24; $k++) { // $j is link counter; $k is $times array counter.
			  if ($k==0) { // Add Month and Day to Start of Links
				  echo '<b>'.date("M j",$now).':&nbsp;</b>';
			  }
			  if ($times[$k]=='12&nbsp;am' && $k>0) { // If it's the midnight map, add next day to Links (unless it's midnight, i.e. $k==0)
				  echo '<br/><b>'.date("M j",$tomorrow).':&nbsp;</b>';
				  $j = 0; // Reset link counter to determine acceptable width of links
			  }
			  if ($j++ ==(($_SESSION['CSSwidescreen']!=1)?'12':'16')) { echo '<br/>';} // Increment $j and optionally add break in middle of link display
			  if (($k==23)||($times[$k]=='11&nbsp;pm')) { // Don't display bar after last link of link list or last link of today
			    echo '<a style="font-weight:bold; padding: 0px; cursor:pointer" on'.($useOnClick?'click':'mouseover').'="show_tab2(\'hour'.$hours24[$k].'\')">'.$times[$k].'</a>';
			  } else {  // Display bar after link unless it's the last link of a line
	  		    echo '<a style="font-weight:bold; padding: 0px; cursor:pointer" on'.($useOnClick?'click':'mouseover').'="show_tab2(\'hour'.$hours24[$k].'\')">'.$times[$k].'</a>'.(($j==(($_SESSION['CSSwidescreen']!=1)?'12':'16'))?'':' | ');
			  }
	  	}
		} else if ($showHours && !$analysis && $startImg==2) {
		  for ($i=0, $k=0, $j=0; $k<23; $i++, $k++) { // $j is link counter; $k is $times array counter.
			  if ($k==0) { // Add Month and Day to Start of Links
				  if ($times[0]!='12&nbsp;am') {echo '<b>'.date("M j",$now).':&nbsp;</b>';}
					else { echo '<b>'.date("M j",$now+86400).':&nbsp;</b>'; }
			  }
//				echo '($k!=3&&!$evenHour): '.(($k!=3&&!$evenHour)==0?'false':'true').'-'; // Debug Code
			  if ((($times[$k]=='12&nbsp;am'&&$k>0)&&($k!=3||($k==3&&!$evenHour)))||($times[$k]=='1&nbsp;am'&&$k!=4)) { // If it's the midnight map, add next day to Links (unless it's midnight, i.e. $k==0)
				  echo '<br/><b>'.date("M j",$tomorrow).':&nbsp;</b>';
				  $j = 0; // Reset link counter to determine acceptable width of links
			  }
				$j++;
//			  if ($j++ ==(($_SESSION['CSSwidescreen']!=1)?'19':'16')) { echo '<br/>';} // Increment $j and optionally add break in middle of link display
			  if ((($times[$k]=='10&nbsp;pm')&&$k>(2+$DST))||($times[$k]=='11&nbsp;pm')) { // Don't display bar after last link of link list or last link of today
			    echo '<a style="font-weight:bold; padding: 0px; cursor:pointer" on'.($useOnClick?'click':'mouseover').'="show_tab3(\'hour'.$hours24[$k].'\')">'.$times[$k].'</a>';
			  } else {  // Display bar after link unless it's the last link of a line
	  		    echo '<a style="font-weight:bold; padding: 0px; cursor:pointer" on'.($useOnClick?'click':'mouseover').'="show_tab3(\'hour'.$hours24[$k].'\')">'.$times[$k].'</a>'.(($k>20||$j>13)?'':' | ');
			  }
        // Start skipping hours after $k == 3 on even hours and $k==4 on odd hours
        if ($evenHour) {
					if ($k>(2+$DST)) {
//						echo '4pre'.$k.','; // Debug Code
						$k++;
						if ($lastQHour&&$k==(4+$DST)) $k--;
//						echo '4post'.$k.','; // Debug Code
					}
//						else echo 'init'.$k.','; // Debug Code
				} else if (!$evenHour) {
					if ($k>(3+$DST)) {
//						echo '5pre'.$k.','; // Debug Code
						$k++;
//						echo '5post'.$k.','; // Debug Code
					} 
//						else echo 'init'.$k.','; // Debug Code
				}
	  	}
	  } else if ($analysis) { // These charts are small and historical, not forecasts.
		    $_hour=$hourNow+1; // The Hour needs a bump to remain current
				if (($_hour) > 23) { // Set up $_hour to handle boundary conditions
					$_hour = ($_hour%24);
				}
				$analysisHour = $_hour;
				for ($count=0; $count<23; $_hour++, $count++) { // $count is link/chart counter
			    if ($count==0) { // Start with yesterday's Month and Day.
				    echo '<b>'.date("M j",time()-(3600*23)).':&nbsp;</b>';
			    }   // Display bar after link unless it's the last link of a line
			    if ($_hour==24) { // Add Current Month and Day to Start of Today's Links
						$_hour = 0;
				    echo '<br/><b>'.date("M j").':&nbsp;</b>';
			    }
	  		  echo '<a style="font-weight:bold; padding: 0px; cursor:pointer" on'.($useOnClick?'click':'mouseover').'="show_tab(\'hour'.$hours24[$_hour].'\')">'.$times[$_hour].'</a>'.((($_hour==18)&&(($count-$_hour)>5||($_hour-$count)<5))||($_hour==23)?'':(($count==22)?'':' | ')); // Ignore widescreen because these are narrow charts!
					if (($_hour==18)&&(($count-$_hour)>5||($_hour-$count)<5)) { // We don't have a separating bar, and we need a new line.
							echo '<br/>';
			    }
			  }
		  }?>
      <br/>
	    <?php if ($showHours) {
			echo '<div class="center" style="line-height:100%">('.($useOnClick?'Click':'Hover over').' a link to display a new chart.)</div>';
		} ?>
      </div>
		<div class="center" style="width:<?php echo $divWidth ?>px">
    <?php  
		if ($showHours && !$analysis && $startImg==0) {
		  for ($j=0; $j<24; $j++) { // Display Maps and create javascript mouseover id's if we're showing hours
        echo (($divWidth<850)?'<a href="https://www.nws.noaa.gov/mdl/gfslamp/expr_images/'.$forecastType.'_'.($useZTime?($zTime.'30'):($hourNow.'30')).'z_H'.$hours24[$j].'.png" title="Larger Image in New Tab" target="_blank">':'').'<img src="https://www.nws.noaa.gov/mdl/gfslamp/expr_images/'.$forecastType.'_'.($useZTime?($zTime.'30'):($hourNow.'30')).'z_H'.$hours24[$j].'.png" id="hour'.$hours24[$j].'" class="hidden" style="width:'.$divWidth.'px; height:'.($divWidth*.75).'px;" alt="Hour '.$j.'"/>'.($divWidth<850?'</a>':'');
		  }
		} else if ($showHours && !$analysis && $startImg==2) {
		  for ($j=0; $j<23; $j++) { // Display Maps and create javascript mouseover id's if we're showing hours
        echo (($divWidth<640||$forecastType=='CNVLTG')?'<a href="https://www.nws.noaa.gov/mdl/gfslamp/cnvltg_images/'.$forecastType.'_'.($j+3).'.png" title="Larger Image in New Tab" target="_blank">':'').'<img src="https://www.nws.noaa.gov/mdl/gfslamp/cnvltg_images/'.$forecastType.'_'.($j+3).'.png" id="hour'.$hours24[$j].'" class="hidden" style="width:'.$divWidth.'px; height:'.($divWidth*.75).'px;" alt="Hour '.($j+3).'"/>'.(($divWidth<640||$forecastType == 'CNVLTG')?'</a>':'');
		  }
		} else if ($analysis) {
		  for ($j=0; $j<24; $j++) { // Display Maps and create javascript mouseover id's if we're showing hours
        echo '<img src="https://www.nws.noaa.gov/mdl/gfslamp/analysis/lmp_'.(($j<10)?('0'.$j):$j).'_'.$forecastType.'.gif" id="hour'.$hours24[$j].'" class="center hidden" style="width:'.$divWidth.'px; height:'.($divWidth*.75).'px" alt="Hour '.$j.'"/>';
		  }
		}
		?>
	  <div class="center" style="width:<?php echo $divWidth ?>px; display:block"> <!-- Set up default map -->
    <?php if (!$analysis && $startImg!=2) {
      	echo ($divWidth<850)?('<a href="https://www.nws.noaa.gov/mdl/gfslamp/expr_images/'.$forecastType.'_'.($useZTime?($zTime.'30'):($hourNow.'30')).'z_H0'.($showHours?1:0).'.png" title="Larger Image in New Tab" target="_blank">'):''?>
        <img src="https://www.nws.noaa.gov/mdl/gfslamp/expr_images/<?php echo $forecastType?>_<?php echo ($useZTime?($zTime.'30'):($hourNow.'30'))?>z_H0<?php echo ($showHours?1:0)?>.png" style="width:<?php echo $divWidth ?>px; height:<?php echo ($divWidth*.75)?>px;" alt="Hour 1"/><?php echo ($divWidth<850)?'</a>':'';?>
      <?php }
		else if ($analysis) { ?>
      <img class="center" src="https://www.nws.noaa.gov/mdl/gfslamp/analysis/lmp_<?php echo $analysisHour?>_<?php echo$forecastType?>.gif" style="width:<?php echo $divWidth ?>px; height:<?php echo ($divWidth*.75) ?>px;" alt="Zulu Hour Now"/>
		<?php } 
		else if ($startImg==2) {
      echo ($divWidth<640||$forecastType=='CNVLTG')?('<a href="https://www.nws.noaa.gov/mdl/gfslamp/cnvltg_images/'.$forecastType.'_3.png" title="Larger Image in New Tab" target="_blank">'):''?>
        <img src="https://www.nws.noaa.gov/mdl/gfslamp/cnvltg_images/<?php echo $forecastType ?>_3.png" style="width:<?php echo $divWidth ?>px; height:<?php echo ($divWidth*.75)?>px;" alt="Hour 3"/><?php echo ($divWidth<640||$forecastType=='CNVLTG')?'</a>':'';?>
      <?php }?>
    </div>
    </div>
    <div class="center" style="width:<?php echo $divWidth ?>px"><br/>
		<?php  /*Remove 'Experimental' Notice* ?>
		<span style="color:#993300; line-height:110%; text-align:center"><b>
    <?php if ($startImg!=2 && $showHours && !$analysis) {
    	echo 'Caution!  These maps are usually updated during each last quarter hour.<br />
        Current maps may be unavailable during this process.<br/>';
		}?>
      <?php if (!$analysis && $showHours && $startImg!=2) {	echo 'These are LARGE images.'; } ?>
      </b></span><?php if (!$analysis && $showHours && $startImg!=2) { echo '<br/><br/>';}?>
			<?php  End 'Experimental' Notice */ ?>
    <span style="font-size:10px;line-height:130%; text-align:center">Maps and Data Courtesy of NOAA Virtual Lab <a href="https://vlab.noaa.gov/web/mdl/" target="_blank" title="Opens in New Tab">Meteorological Development Laboratory</a><br/><a href="https://vlab.noaa.gov/web/mdl/gridded-lamp" target="_blank" title="Opens in New Tab">Localized Aviation MOS Program (LAMP)</a>.<br/>Script by <a href="https://www.gwwilkins.org" target="_blank" title="Opens in New Tab">SE Lincoln Weather</a>.
    <?php if ($useAll&&!$standAlone) {echo '<br/>Stand Alone <a href="wxushourly24hfc-SA.php" title="New Tab" target="_blank">Version</a>';}?></span>
</div>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
{
	<?php // Set up 24 hour map array to display selected map
  for ($i=0; $i<24; $i++) {
    echo '  document.getElementById("hour'.(($i<10)?('0'.$i):$i).'").style.display="none";'."\n";
  }
  ?> 
  document.getElementById(nam).style.display = "block";
}
function show_tab2(nam)
{
  <?php // Set up 24 hour map array to display selected map
  for ($i=1; $i<25; $i++) {
		echo '  document.getElementById("hour'.(($i<10)?('0'.$i):$i).'").style.display="none";'."\n";
  }
  ?> 
  document.getElementById(nam).style.display = "block";
}
function show_tab3(nam)
{
  <?php // Set up 24 hour map array to display selected map
  for ($i=1; $i<24; $i++) {
		echo '  document.getElementById("hour'.(($i<10)?('0'.$i):$i).'").style.display="none";'."\n";
  }
  ?> 
  document.getElementById(nam).style.display = "block";
}
</script>
